package com.rjconsultores.ventaboletos.vo.OrgaoConcedente;

import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;

public class OrgaoConcedenteVO {
	
	private Integer orgaoConcedenteId;
	private String descOrgao;
	private Boolean indValDocObligatorioEmbarcada;

	public OrgaoConcedenteVO(Integer orgaoConcedenteId, String descOrgao) {
		this.orgaoConcedenteId = orgaoConcedenteId;
		this.descOrgao = descOrgao;
	}
	
	public OrgaoConcedenteVO(Integer orgaoConcedenteId, String descOrgao, Boolean indValDocObligatorioEmbarcada) {
		this.orgaoConcedenteId = orgaoConcedenteId;
		this.descOrgao = descOrgao;
		this.indValDocObligatorioEmbarcada = indValDocObligatorioEmbarcada;
	}
	
	public OrgaoConcedenteVO(OrgaoConcedente orgaoConcedente) {
		this.orgaoConcedenteId = orgaoConcedente.getOrgaoConcedenteId();
		this.descOrgao = orgaoConcedente.getDescOrgao();
		this.indValDocObligatorioEmbarcada = orgaoConcedente.getIndValDocObligatorioEmbarcada();
	}

	public Integer getOrgaoConcedenteId() {
		return orgaoConcedenteId;
	}

	public void setOrgaoConcedenteId(Integer orgaoConcedenteId) {
		this.orgaoConcedenteId = orgaoConcedenteId;
	}

	public String getDescOrgao() {
		return descOrgao;
	}

	public void setDescOrgao(String descOrgao) {
		this.descOrgao = descOrgao;
	}

	public Boolean getIndValDocObligatorioEmbarcada() {
		return indValDocObligatorioEmbarcada;
	}

	public void setIndValDocObligatorioEmbarcada(Boolean indValDocObligatorioEmbarcada) {
		this.indValDocObligatorioEmbarcada = indValDocObligatorioEmbarcada;
	}

}
